Makes a curve blend between two curves at the parameters specified with the directions and continuities specified.
Rhino.AddBlendCurve (arrCurves, arrParameters, arrReverses, arrContinuities])
arrCurves |
Required. Array. An array of two strings which are the identifiers of the two curves objects to blend. |
||||||||
arrParameters |
Required. Array. An array of two numbers which are the curve parameters, one for each curve, to be used for the blend end points. |
||||||||
arrReverses |
Required. Boolean. An array of two Boolean values, one for each curve, that specifies whether or not the blend will go in the natural direction of the curve (False), or if the blend will go in the opposite direction to the curve (True). |
||||||||
arrContinuities |
Required. Array. An array of two numbers, one for each curve, that specifies the continuity for the blend at the end point. The possible values are as follows:
|
String |
The identifier of the newly created curve object, if successful. |
Null |
If not successful, or on error. |
Dim arrCurves(1), arrParams(1), arrRevs(1), arrCont(1)
Dim arrDomain0, arrDomain1
arrCurves(0) = Rhino.AddLine(Array(0,0,0), Array(0,9,0))
arrDomain = Rhino.CurveDomain(arrCurves(0))
arrParams(0) = arrDomain(1)
arrRevs(0) = False
arrCont(0) = 2
arrCurves(1) = Rhino.AddLine(Array(1,10,0), Array(10,10,0))
arrDomain = Rhino.CurveDomain(arrCurves(1))
arrParams(1) = arrDomain(0)
arrRevs(1) = True
arrCont(1) = 2
Rhino.AddBlendCurve arrCurves, arrParams, arrRevs, arrCont